Bug 153639 - Replace CaseFoldingHash with ASCIICaseInsensitiveHash
Summary: Replace CaseFoldingHash with ASCIICaseInsensitiveHash
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Darin Adler
URL:
Keywords:
Depends on: 153723
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 21:31 PST by Darin Adler
Modified: 2016-01-31 11:22 PST (History)
12 users (show)

See Also:


Attachments
Patch (48.59 KB, patch)
2016-01-28 21:51 PST, Darin Adler
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-yosemite (405.30 KB, application/zip)
2016-01-28 22:43 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-yosemite (298.80 KB, application/zip)
2016-01-28 22:45 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (784.83 KB, application/zip)
2016-01-28 23:09 PST, Build Bot
no flags Details
Patch (54.54 KB, patch)
2016-01-30 11:20 PST, Darin Adler
fpizlo: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2016-01-28 21:31:25 PST
Replace CaseFoldingHash with ASCIICaseInsensitiveHash
Comment 1 Darin Adler 2016-01-28 21:51:38 PST
Created attachment 270182 [details]
Patch
Comment 2 Build Bot 2016-01-28 22:43:36 PST
Comment on attachment 270182 [details]
Patch

Attachment 270182 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/753881

Number of test failures exceeded the failure limit.
Comment 3 Build Bot 2016-01-28 22:43:39 PST
Created attachment 270187 [details]
Archive of layout-test-results from ews100 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 4 Build Bot 2016-01-28 22:45:00 PST
Comment on attachment 270182 [details]
Patch

Attachment 270182 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/753863

Number of test failures exceeded the failure limit.
Comment 5 Build Bot 2016-01-28 22:45:03 PST
Created attachment 270188 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 6 Build Bot 2016-01-28 23:09:38 PST
Comment on attachment 270182 [details]
Patch

Attachment 270182 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/753939

Number of test failures exceeded the failure limit.
Comment 7 Build Bot 2016-01-28 23:09:41 PST
Created attachment 270189 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 8 Darin Adler 2016-01-30 11:20:19 PST
Created attachment 270313 [details]
Patch
Comment 9 Darin Adler 2016-01-30 11:21:17 PST
Accidentally deleted a line of code in the previous patch which was why the tests were failing. I expect this to one to do better.
Comment 10 Darin Adler 2016-01-30 13:20:27 PST
Yes, everything passed on EWS as I expected. Someone available to review?
Comment 11 Filip Pizlo 2016-01-30 13:52:44 PST
Comment on attachment 270313 [details]
Patch

r=me.
Comment 12 Darin Adler 2016-01-30 13:53:53 PST
Committed r195911: <http://trac.webkit.org/changeset/195911>
Comment 13 Alexey Proskuryakov 2016-01-30 16:39:23 PST
This appears to have caused very frequent (but very random) assertion failures on tests. Will roll out, as tests are fairly flaky now, so I'd like to get rid of all the noise ASAP.

https://build.webkit.org/results/Apple%20El%20Capitan%20Debug%20WK1%20(Tests)/r195913%20(2573)/results.html
https://build.webkit.org/results/Apple%20El%20Capitan%20Debug%20WK1%20(Tests)/r195911%20(2572)/results.html
Comment 14 WebKit Commit Bot 2016-01-30 16:40:38 PST
Re-opened since this is blocked by bug 153723
Comment 15 Darin Adler 2016-01-30 17:08:23 PST
Iā€™m going to figure out what caused the crash and re-land.
Comment 16 Darin Adler 2016-01-31 11:22:36 PST
Committed r195928: <http://trac.webkit.org/changeset/195928>